<?php class Ff4f70727 extends F5ec8d168 { var $Vd77d5e50 = null; var $Vb63119da = null; var $Vcb5e100e = null; 
 function __construct() { global $_REQUEST, $HTTP_GET_VARS, $HTTP_POST_VARS, $HTTP_COOKIE_VARS; $this->Vb63119da= array(); 
 if ( !empty( $HTTP_GET_VARS ) ) { $this->Vb63119da= array_merge( $HTTP_GET_VARS, $this->Vb63119da);
} if ( !empty( $HTTP_POST_VARS ) ) { $this->Vb63119da= array_merge( $HTTP_POST_VARS, $this->Vb63119da);
} if ( !empty( $HTTP_COOKIE_VARS ) ) { $this->Vb63119da= array_merge( $HTTP_COOKIE_VARS, $this->Vb63119da);
} if ( !empty( $_REQUEST ) ) { $this->Vb63119da= array_merge( $_REQUEST, $this->Vb63119da); } $this->F723e204f(isset( $this->Vb63119da[ 'page' ] ) ? $this->Vb63119da[ 'page' ] : null);
} function __destruct() { } function F921bf23c() { return $this->Vd77d5e50->F88245754(); } function Fcb5e100e() {
 if ( $this->Vd77d5e50&& $this->Vd77d5e50->F6e76364f() && !$this->Vd77d5e50->F5e7466a3() ) { return 'WA PHP Initializer: '.$this->Vd77d5e50->Fb2b487d1();
} else if ( !empty( $this->Vcb5e100e) ) { return 'WA PHP Initializer: '.$this->Vcb5e100e; } return 'WA PHP Initializer: Failed.';
} function F723e204f($V71860c77) { return $this->m_page=$V71860c77; } function Fd58c61d4() { return $this->m_page;
} function F66f4d45e() { return isset( $this->Vb63119da[ 'action' ] ) ? $this->Vb63119da[ 'action' ] : null;
} function Ffeb8855b() { global $waSpecialIdentifier; return isset( $this->Vb63119da[ 'token' ] ) ? $this->Vb63119da[ 'token' ] == md5( $waSpecialIdentifier ) : false;
} function F2063c160( $Vb068931c ) { $V2063c160 = isset( $this->Vb63119da[ $Vb068931c ] ) ? $this->Vb63119da[ $Vb068931c ] : null;
 if ( $V2063c160 ) { $V2063c160 = str_replace( "%20", " ", $V2063c160 ); } return $V2063c160; } function F30db5978() { 
 global $waSqlproperty_driver, $waSqlproperty_port, $waSqlproperty_host, $waSqlproperty_database, $waSqlproperty_login, $waSqlproperty_pwd, $waSqlproperty_can_create_database;
$this->Vd77d5e50= null; switch( $waSqlproperty_driver ) { case -1: $this->Vd77d5e50= null; $this->Vcb5e100e= "The SQL support has been disabled in WebAcappella.";
return false; case 1: $this->Vd77d5e50= Fce7d17ec::F11e0eed8( C90737d27 ); break; case 0: default:
 $this->Vd77d5e50= Fce7d17ec::F11e0eed8( Cef53b24f ); break; } if ( !$this->Vd77d5e50->F6e76364f() ) {
 $this->Vcb5e100e= 'The SQL engine \''.$this->Vd77d5e50->F88245754().'\' is not available on your server';
 if ( $this->Vd77d5e50->F4499a6ec() == C90737d27 ) { $this->Vcb5e100e.= "\n"; $this->Vcb5e100e.= "You have to configure mysql database in your webappella settings";
} return false; } $this->Vd77d5e50->Fbd1b6646( $waSqlproperty_host ); $this->Vd77d5e50->Fda165cb0( $waSqlproperty_port );
$this->Vd77d5e50->F4b644e47( $waSqlproperty_database ); $this->Vd77d5e50->F0be4cbc7( $waSqlproperty_login );
$this->Vd77d5e50->F62cef76f( $waSqlproperty_pwd ); if ( $this->Vd77d5e50->F4499a6ec() == C90737d27 ) {
 $this->Vd77d5e50->F4b644e47( 'webacappella' ); } if ( !$this->Vd77d5e50->F7cef8a73() ) { return false;
} else { if ( $waSqlproperty_can_create_database ) { $this->Vd77d5e50->Fd144b693(); } } return true;
} } ?>